octonet - Segnalazione #447

Cartella per un gruppo di utenti
10/26/2017 10:56 AM - Helmut Oberholllenzer

Status: Chiuso Start date: 10/26/2017
Priority: Alta Due date:

Assignee: Helmut Oberholllenzer % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Ciao,

dovrei creare in tutte le mie scuole una cartella per un gruppo di user e poi dare diversi permessi
per esempio:

gruppo docenti creare cartella "comune" permessi scrivere, leggere, ma non cancellare.... etc

si potrebbe programmarlo in octonet ?

grazie e saluti.

History

#1 - 10/26/2017 11:34 AM - Massimo Previdi
- Status changed from Nuovo to In elaborazione

- Assignee changed from 134 to Helmut Oberholllenzer

Buongiorno,

le cartelle comuni per le classi e per i docenti le abbiamo sempre create "a mano" da terminale,
vi incollo la procedura:

creare le cartelle delle classi sul server con mkdir
cd /home/alunni/CLASSI

mkdir 2012
mkdir 2013
mkdir f2014
mkdir b2013
mkdir b2014
mkdir a2012
mkdir a2013
mkdir a2014

1. Ricordarsi di creare i gruppi corrispondenti anche in OCTONET
Add Group f2012, 12013, ecc. ecc. #i##

Is -alt

root@langer:/home/alunni/CLASSI# Is -alt
totale 40

drwxr-xr-x 10 root root 4096 dic 5 15:05 .
drwxr-xr-x 2 root root 4096 dic 5 15:05 f2012
drwxr-xr-x 2 root root 4096 dic 5 15:05 f2013
drwxr-xr-x 2 root root 4096 dic 5 15:05 f2014
drwxr-xr-x 2 root root 4096 dic 5 15:05 b2013
drwxr-xr-x 2 root root 4096 dic 5 15:05 b2014
drwxr-xr-x 2 root root 4096 dic 5 15:05 a2012
drwxr-xr-x 2 root root 4096 dic 5 15:04 a2013
drwxr-xr-x 2 root root 4096 dic 5 15:04 a2014
drwxr-xr-x 161 root root 4096 dic 5 14:19 ..

1) per cambiare i proprietari delle cartelle in CLASSI

foriin ‘Is";do chown root.$i $i; done
root@langer:/home/alunni/CLASSI# Is -alt

totale 40

drwxr-xr-x 10 root root 4096 dic 5 15:05.
drwxr-xr-x 2 root f2012 4096 dic 5 15:05 f2012
drwxr-xr-x 2 root f2013 4096 dic 5 15:05 f2013
drwxr-xr-x 2 root f2014 4096 dic 5 15:05 f2014
drwxr-xr-x 2 root b2013 4096 dic 5 15:05 b2013
drwxr-xr-x 2 root b2014 4096 dic 5 15:05 b2014
drwxr-xr-x 2 root a2012 4096 dic 5 15:05 a2012
drwxr-xr-x 2 root a2013 4096 dic 5 15:04 a2013
drwxr-xr-x 2 root a2014 4096 dic 5 15:04 a2014
drwxr-xr-x 161 root root 4096 dic 5 14:19 ..

2) Per cambiare i permessi (lettura e scrittura, ma non cancellazione dei
file degli altri)

foriin 'Is*;do chmod 1770 $i; done

root@langer:/home/alunni/CLASSI# Is -alt

totale 40

drwxr-xr-x 10 root root 4096 dic 5 15:05.
drwxrwx--T 2 root f2012 4096 dic 5 15:05 f2012
drwxrwx--T 2 root 2013 4096 dic 5 15:05 f2013
drwxrwx--T 2 root 2014 4096 dic 5 15:05 f2014
drwxrwx--T 2 root b2013 4096 dic 5 15:05 b2013
drwxrwx--T 2 root b2014 4096 dic 5 15:05 b2014
drwxrwx--T 2 root a2012 4096 dic 5 15:05 a2012
drwxrwx--T 2 root a2013 4096 dic 5 15:04 a2013
drwxrwx--T 2 root a2014 4096 dic 5 15:04 a2014
drwxr-xr-x 161 root root 4096 dic 5 14:19 ..

3) Per la cartella docenti CONDIVISA_DOC
cd /home/docenti

chown root.docenti CONDIVISA_DOC/
chmod 1770 CONDIVISA_DOC/

cordiali saluti
Massimo Previdi
#2 - 10/26/2017 11:36 AM - Massimo Previdi

- Assignee changed from Helmut Oberholllenzer to Massimo Previdi

#3 - 10/26/2017 11:36 AM - Massimo Previdi

- Assignee changed from Massimo Previdi to Helmut Oberholllenzer

#4 - 11/06/2017 12:30 PM - Helmut Oberholllenzer

- Assignee changed from Helmut Oberholllenzer to Massimo Previdi

Ciao Massimo,
grazie per la procedura.
Allora chiedo se si potrebbe aggiungere la funzionalita richiesta nei sviluppi.

grazie e saluti

#5 - 11/06/2017 04:44 PM - Massimo Previdi
- Status changed from In elaborazione to Chiuso

- Assignee changed from Massimo Previdi to Helmut Oberholllenzer

Salve,

implementare queste funzionalita in octonet potrebbe essere controproducente,

perché credo sia meglio lasciare un minimo di flessibilita all'’Amministratore del sistema (sysadmin)

che gestisce il server, nel senso che pud creare le cartelle con relativi permessi

in base alle esigenze delle varie scuole, che per loro natura sono tutte diverse e quindi con esigenze diverse,

cordiali saluti
Massimo Previdi
